Package net.snowflake.client.api.connection

## Class UploadStreamConfig

- java.lang.Object
- - net.snowflake.client.api.connection.UploadStreamConfig

    public class UploadStreamConfig
    extends Object

Optional configuration for uploading data to a Snowflake stage from a stream.

This class provides optional configuration for the `SnowflakeConnection.uploadStream(String, String, java.io.InputStream, UploadStreamConfig)` method. Required parameters (stageName, destFileName, inputStream) are passed as method arguments, while optional settings are configured here.

Example usage:

     try (InputStream dataStream = new FileInputStream("data.csv")) {
       UploadStreamConfig config = UploadStreamConfig.builder()
           .setDestPrefix("data/2024")
           .setCompressData(true)
           .build();

       connection.uploadStream("@my_stage", "uploaded_data.csv", dataStream, config);
     }

See Also:
  `SnowflakeConnection.uploadStream(String, String, java.io.InputStream, UploadStreamConfig)`

### Nested Class Summary

Nested Classes
`static class` `UploadStreamConfig.Builder` Builder for creating `UploadStreamConfig` instances.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static UploadStreamConfig.Builder` `builder()` Creates a new builder instance.
`String` `getDestPrefix()` Gets the destination prefix (directory path within the stage).
`boolean` `isCompressData()` Whether to compress the data during upload.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getDestPrefix

    public String getDestPrefix()

Gets the destination prefix (directory path within the stage).

Returns:
  the destination prefix, or null if files should be uploaded to stage root

#### isCompressData

    public boolean isCompressData()

Whether to compress the data during upload.

Returns:
  true if data should be compressed, false otherwise

#### builder

    public static UploadStreamConfig.Builder builder()

Creates a new builder instance.

Returns:
  a new `UploadStreamConfig.Builder`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`